#!/bin/bash

rm -fr ~/.oh-my-zsh
sh -c "$(curl -fsSL https://raw.githubusercontent.com/ohmyzsh/ohmyzsh/master/tools/install.sh)" "" --unattended
wget https://github.com/dracula/zsh/archive/master.zip -O /tmp/dracula.zip --quiet
unzip -q /tmp/dracula.zip -d /tmp 
rm /tmp/dracula.zip
mv /tmp/zsh-master/dracula.zsh-theme ~/.oh-my-zsh/themes/dracula.zsh-theme
mv /tmp/zsh-master/lib ~/.oh-my-zsh/themes
rm -fr /tmp/zsh-master
rm -fr ~/.zshrc*
ln -s `pwd`/zsh/zshrc ~/.zshrc

# Setup git
echo "Setup git"
rm -fr ~/.gitconfig
ln -s `pwd`/git/gitconfig ~/.gitconfig

# Setup nano
echo "Setup nano"
rm -fr ~/.nano
rm -fr ~/.nanorc
ln -s `pwd`/nano/nanorc ~/.nanorc
ln -s `pwd`/nano ~/.nano

# # Setup VIM
# echo "Setup VIM"
# rm -fr ~/.vim
# ln -s `pwd`/vim ~/.vim

# # Setup mutt
# echo "Setup mutt"
# echo "Make sure you generate an oauth2 file - ./mutt_oauth2.py oauth2 --verbose --authorize"
# rm -fr ~/.mutt
# ln -s `pwd`/mutt ~/.mutt

# # Setup lxterminal
# echo "Setup lxterminal"
# rm -fr ~/.config/lxterminal
# ln -s `pwd`/config/lxterminal ~/.config/lxterminal

# # Setup AwesomeWM
# echo "Setup AwesomeWM"
# rm -fr ~/.xinitrc
# rm -fr ~/.config/awesome
# ln -s `pwd`/xinitrc ~/.xinitrc
# ln -s `pwd`/config/awesome ~/.config/awesome

# # Setup mpd
# rm -fr ~/.config/mpd
# ln -s `pwd`/config/mpd ~/.config/mpd

# # Setup picom
# rm -fr ~/.config/picom
# ln -s `pwd`/config/picom ~/.config/picom

# # Setup qutebrowser
# rm -fr ~/.config/qutebrowser
# mkdir ~/.config/qutebrowser
# mkdir ~/.config/qutebrowser/bookmarks
# ln -s `pwd`/config/qutebrowser/config.py ~/.config/qutebrowser/config.py
# ln -s `pwd`/config/qutebrowser/bookmarks/urls ~/.config/qutebrowser/bookmarks/urls

# # Set Newsboat
# rm -fr ~/.config/newsboat
# ln -s `pwd`/config/newsboat ~/.config/newsboat






